Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364749 - [DOCS] [3.3] Update docs for OCP 3.3 installation steps + stand-alone registry
Summary: [DOCS] [3.3] Update docs for OCP 3.3 installation steps + stand-alone registry
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 00:16 UTC by Vikram Goyal
Modified: 2017-03-08 18:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 19:34:26 UTC


Attachments (Terms of Use)

Description Vikram Goyal 2016-08-07 00:16:00 UTC
Eng Card: https://trello.com/c/UmreX5hv/478-1-handle-ose-rename

Comment 2 Alex Dellapenta 2016-08-19 22:08:24 UTC
Still WIP. Going to need next week for it.

Comment 3 Alex Dellapenta 2016-08-29 20:28:36 UTC
Related to registry console:

https://github.com/openshift/openshift-docs/issues/2748

Comment 4 Alex Dellapenta 2016-09-01 18:47:38 UTC
WIP PR is here:

https://github.com/openshift/openshift-docs/pull/2776

Broke up the massive registry topic into a subdirectory w/ multiple topics so make room for the stand-alone registry install topic and to have the existing registry topics still make sense (now that there are two ways to run it). Been working with aweiteka on the stand-alone registry stuff.

Comment 5 Alex Dellapenta 2016-09-20 02:20:48 UTC
QE,

Can you test this new topic here about installing the stand-alone registry in OCP 3.3? 

http://file.rdu.redhat.com/~adellape/091916/33installupdates/install_config/install/stand_alone_registry.html

The "Installing a Cluster" topics have also been updated for 3.3 and re-organized a bit (mostly around the early setup topics "Planning", "Host Preparation", and "Prerequisites"). If you could test the quick install and advanced install paths as well, it would be appreciated. There haven't been major changes made to the actual install steps for 3.3.

Comment 6 Johnny Liu 2016-09-20 09:41:45 UTC
Mainly two issues:
1. Allow traffic to TCP ports 8443, 9090, and 5000.
Installer would open all necessary port automatically, and 9090 and 5000 is not necessary to be opened, because registry console is accessed via router, but not access the ports directly. Suggest remove this line from "Minimum Hardware Requirements".

2. In "Example 1. All-in-one Stand-alone Registry Inventory File", especially the following line:
[nodes]
registry.example.com openshift_node_labels="{'region': 'infra', 'zone': 'default'}"

Should append "openshift_scheduleable=true" option to node entry, or else, the only node will be not schedulable, that means all the necessary containers can not be deployed, e.g: router, docker-registry, registry-console. 

Other parts seem good to me.

Comment 7 Alex Dellapenta 2016-09-20 15:50:38 UTC
(In reply to Johnny Liu from comment #6)
> Mainly two issues:

Thanks! Updated via https://github.com/openshift/openshift-docs/pull/2872. PTAL at preview here:

http://file.rdu.redhat.com/~adellape/092016/33installupdates2/install_config/install/stand_alone_registry.html

Comment 8 Johnny Liu 2016-09-21 06:55:04 UTC
Looks good to me now.

Comment 9 Alex Dellapenta 2016-09-21 13:58:34 UTC
Great, thanks so much!

Comment 10 openshift-github-bot 2016-09-21 19:03:01 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/2373548e0aaa92c4dc24b3d5455dcc349f52e411
Merge pull request #2872 from adellape/33installupdates2

Bug 1364749: Edits to stand-alone registry install

Comment 11 Alex Dellapenta 2016-09-27 19:34:26 UTC
OCP 3.3 GA docs published.

Installing a full cluster:

https://docs.openshift.com/container-platform/3.3/install_config/install/planning.html

Installing a stand-alone registry:

https://docs.openshift.com/container-platform/3.3/install_config/install/stand_alone_registry.html


Note You need to log in before you can comment on or make changes to this bug.